Supported Browsers

Google Chrome

  • Version 50 or later on Windows 7 or later and Mac OS X 10.10 (Yosemite) or later 

Microsoft Edge 

  • Version 13 or later on Windows 10 or later

Mozilla Firefox

  • Version 47 or later on Windows 7 or later and Mac OS X 10.9 (Snow Leopard) or later
  • Supported on stable, official release builds from Mozilla. Non-Mozilla builds are not supported.

Safari 

  • Version 11 on Mac OS X 10.10 (Yosemite) or later 
  • Supported on all 2012 or later models and select 2011 models

 

Was this article helpful?
439 out of 720 found this helpful

Comments

0 comments

Article is closed for comments.